package com.yc.ship.module.trade.enums;

/**
 * @author qsl
 * @description todo
 * @date 2025/3/20 17:10
 */
public enum InvokeContractCodeEnum {

    SUCCESS(0000, "成功", "ok"),

    ERROR(1111, "失败", "error"),
    ;


    InvokeContractCodeEnum(int code, String desc, String msg) {
        this.code = code;
        this.desc = desc;
        this.msg = msg;
    }

    public final int code;
    public final String desc;
    public final String msg;

    public int getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public String getMsg() {
        return msg;
    }
}
